Select
  ir2.*
From
  infodba.PITEMREVISION ir
Inner Join infodba.PITEMREVISION ir2
On
  ir.RSEQUENCE_ANCHORU = ir2.RSEQUENCE_ANCHORU
And ir.RITEMS_TAGU     = ir2.RITEMS_TAGU
Where
  ir.PUID = :ir_puid